#!/usr/bin/perl
use strict;
use warnings FATAL => qw(all);

# standard error test for utf8_colorize

my $txt = <<END;
The foreach loop iterates over a normal list value and sets the variable VAR to be each element of the
list in turn. If the variable is preceded with the
keyword my, then it is lexically scoped,
and is therefore visible only within the loop.
Otherwise, the variable is implicitly local to the loop and regains its former value upon exiting the loop.
If the variable was previously declared with my,
it uses that variable instead of the global one, but it's still localized to the loop.
This implicit localization occurs only in a foreach loop.
END

my @data = split(/\n/, $txt);
my $dsz = $#data + 1;
my $max = 100;
$max = $ARGV[1] if (defined $ARGV[1]);

my $total = 1;
while (1) {
	sleep int(rand($ARGV[0]+1));
	my $count = int(rand(3))+1;
	foreach (0..$count) {
		print STDERR "$total ".$data[rand($dsz)]."\n";
		$total++;
	}
	last if ($total >= $max);
}
